# Ogre::AutomaticGuardUnguard Class Reference

Internal class. More...

`#include <OgreException.h>`

List of all members.

## Public Member Functions

| AutomaticGuardUnguard (const String &funcName) throw ()
| ~AutomaticGuardUnguard () throw ()

## Detailed Description

Internal class.

Objects will automatically push/pop the function name for unwinding.

Definition at line 203 of file OgreException.h.

## Constructor & Destructor Documentation

Ogre::AutomaticGuardUnguard::AutomaticGuardUnguard | ( | const String & | funcName | ) | throw ()

| Definition at line 205 of file OgreException.h. References Ogre::String.

Ogre::AutomaticGuardUnguard::~AutomaticGuardUnguard | ( |  | ) | throw ()

| Definition at line 209 of file OgreException.h.

The documentation for this class was generated from the following file:

- OgreException.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:26 2006